Package com.microblink.blinkid.entities.recognizers.templating

# Class TemplatingRecognizer.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result
com.microblink.blinkid.entities.recognizers.Recognizer.Result
com.microblink.blinkid.entities.recognizers.templating.TemplatingRecognizer.Result

All Implemented Interfaces:
  `android.os.Parcelable`

Direct Known Subclasses:
  `MrtdRecognizer.Result`

Enclosing class:
  TemplatingRecognizer<R extends TemplatingRecognizer.Result>

public abstract static class TemplatingRecognizer.Result extends Recognizer.Result

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `Recognizer.Result.State`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  ### Fields inherited from class com.microblink.blinkid.entities.Entity.Result

  `mOwner`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract int`
  `getClassID(long nativeEntityContext)`
  `final TemplatingClass`
  `getTemplatingClass()`
  Returns the `TemplatingClass` for recognized document.
  `protected void`
  `readFromParcel(android.os.Parcel in)`
  `protected abstract void`
  `setNativeClass(long nativeEntityContext, int classID)`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class com.microblink.blinkid.entities.recognizers.Recognizer.Result

  `clone, getResultState, isEmpty`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity.Result

  `describeContents, deserializeFromByteArray, finalize, getNativeContext, serializeToByteArray, terminateNative`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult)

- ## Method Details

  - ### getTemplatingClass

    @Nullable public final TemplatingClass getTemplatingClass()
    Returns the `TemplatingClass` for recognized document. If classification failed, returns `null`.
    Returns:
      the `TemplatingClass` for recognized document or `null`

  - ### getClassID

    protected abstract int getClassID(long nativeEntityContext)

  - ### setNativeClass

    protected abstract void setNativeClass(long nativeEntityContext, int classID)

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`
    Overrides:
      `writeToParcel` in class `Entity.Result`

  - ### readFromParcel

    protected void readFromParcel(@NonNull android.os.Parcel in)
    Overrides:
      `readFromParcel` in class `Entity.Result`